Name:          mongo-c-driver
Version:       1.27.3
Release:       1mamba
Summary:       The Official MongoDB driver for C language 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.mongodb.com/docs/languages/c/c-driver/current/
Source:        https://github.com/mongodb/mongo-c-driver.git/%{version}/mongo-c-driver-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libsasl2-devel
BuildRequires: libsnappy-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The Official MongoDB driver for C language.

%package -n lib%{name}
Group:         System/Libraries
Summary:       The Official MongoDB driver for C language.

%description -n lib%{name}
The Official MongoDB driver for C language.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake \
   -DBUILD_VERSION="%{version}" \
   -DENABLE_STATIC=OFF \
   -DENABLE_TESTS=OFF

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/mongoc-stat

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbson-1.0.so.*
%{_libdir}/libmongoc-1.0.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libbson-1.0
%{_includedir}/libbson-1.0/*
%dir %{_includedir}/libmongoc-1.0
%{_includedir}/libmongoc-1.0/*
%{_libdir}/libbson-1.0.so
%{_libdir}/libmongoc-1.0.so
%dir %{_libdir}/cmake/bson-1.0
%{_libdir}/cmake/bson-1.0/bson*.cmake
%dir %{_libdir}/cmake/libbson-1.0
%{_libdir}/cmake/libbson-1.0/libbson*.cmake
%dir %{_libdir}/cmake/libmongoc-1.0
%{_libdir}/cmake/libmongoc-1.0/libmongoc*.cmake
%dir %{_libdir}/cmake/mongoc-1.0
%dir %{_libdir}/cmake/mongoc-1.0/3rdParty
%{_libdir}/cmake/mongoc-1.0/3rdParty/FindSASL2.cmake
%{_libdir}/cmake/mongoc-1.0/mongoc*.cmake
%{_libdir}/pkgconfig/libbson-1.0.pc
%{_libdir}/pkgconfig/libmongoc-1.0.pc
%{_libdir}/pkgconfig/libmongoc-ssl-1.0.pc
%dir %{_datadir}/mongo-c-driver
%{_datadir}/mongo-c-driver/*
%doc NEWS README.rst

%changelog
* Fri Jun 28 2024 Automatic Build System <autodist@openmamba.org> 1.27.3-1mamba
- automatic version update by autodist

* Wed Jun 05 2024 Automatic Build System <autodist@openmamba.org> 1.27.2-1mamba
- automatic version update by autodist

* Tue May 07 2024 Automatic Build System <autodist@openmamba.org> 1.27.1-1mamba
- automatic version update by autodist

* Wed May 01 2024 Automatic Build System <autodist@openmamba.org> 1.27.0-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 1.26.2-1mamba
- automatic version update by autodist

* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 1.26.1-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 1.26.0-1mamba
- automatic version update by autodist

* Sun Jan 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.25.4-1mamba
- package created using the webbuild interface
